# Class WrapperPointSequence

java.lang.Object
uk.ac.starlink.ttools.plot.WrapperPointSequence

All Implemented Interfaces:
  `PointSequence`

public class WrapperPointSequence extends Object implements PointSequence
PointSequence implementation based on an existing PointSequence object. All behaviour is delegated to the base.

Since:
  24 Apr 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`WrapperPointSequence(PointSequence base)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Call when this sequence is no longer required.
`double[][]`
`getErrors()`
Reads the errors for the current row.
`String`
`getLabel()`
Returns any text label associated with the current point.
`double[]`
`getPoint()`
Reads the coordinates of the current point.
`boolean`
`isIncluded(int iset)`
Indicates whether the current row is included in the given subset.
`boolean`
`next()`
Attempts to advance the current row to the next one.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrapperPointSequence

public WrapperPointSequence(PointSequence base)
Constructor.

Parameters:
  `base` - base object

## Method Details

### next

public boolean next()
Description copied from interface: `PointSequence`
Attempts to advance the current row to the next one. If `true` is returned the attempt has been successful, and if `false` is returned there are no more rows in this sequence. Since the initial position of this sequence is before the first row, this method must be called before calling any of the data access methods.

Specified by:
  `next` in interface `PointSequence`
Returns:
  true if row advance has succeeded, false for end of sequence

### getPoint

public double[] getPoint()
Description copied from interface: `PointSequence`
Reads the coordinates of the current point. The returned array may be modified by subsequent calls to this method. The caller is also permitted to modify it.

Specified by:
  `getPoint` in interface `PointSequence`
Returns:
  coords an ndim-element array containing point coordinates

### getErrors

public double[][] getErrors()
Description copied from interface: `PointSequence`
Reads the errors for the current row. The returned value is an array of `nerror` double[] arrays, each of which has `ndim` elements and represents the coordinates of the end of an error bar. If any of these coordinate arrays is `null`, it represents an error bar of zero size, that is one whose end sits right on the data point. The ordering of these points is up to the user of this object, but typically they will be in pairs, e.g. (xlo,xhi, ylo,hi, ...). The content of the returned double[][] array and of its elements may be modified by subsequent calls to this method. The caller is also permitted to modify these.

Specified by:
  `getErrors` in interface `PointSequence`
Returns:
  double[nerr][ndim] array with error extremum coordinates

### getLabel

public String getLabel()
Description copied from interface: `PointSequence`
Returns any text label associated with the current point.

Specified by:
  `getLabel` in interface `PointSequence`
Returns:
  text label, or null

### isIncluded

public boolean isIncluded(int iset)
Description copied from interface: `PointSequence`
Indicates whether the current row is included in the given subset.

Specified by:
  `isIncluded` in interface `PointSequence`
Returns:
  true iff set `iset` is included

### close

public void close()
Description copied from interface: `PointSequence`
Call when this sequence is no longer required.

Specified by:
  `close` in interface `PointSequence`